Package Details: waifu2x-converter-cpp 5.3.1-2

Git Clone URL: https://aur.archlinux.org/waifu2x-converter-cpp.git (read-only)
Package Base: waifu2x-converter-cpp
Description: Image Super-Resolution for Anime-Style Art
Upstream URL: https://github.com/DeadSix27/waifu2x-converter-cpp
Licenses: MIT
Submitter: nfnty
Maintainer: nfnty
Last Packager: nfnty
Votes: 3
Popularity: 0.178046
First Submitted: 2017-02-04 00:23
Last Updated: 2019-07-25 22:10

Pinned Comments

nfnty commented on 2017-02-04 00:48

Issues and pull requests at https://github.com/nfnty/pkgbuilds

Latest Comments

tuqueque commented on 2019-03-18 15:31

(I posted this same thing on the https://github.com/nfnty/pkgbuilds site, just in case):

Hello, I'm trying to install waifu2x-converter-cpp in my Manjaro system and I get this error:

Scanning dependencies of target gensrcs
[ 11%] Generating modelHandler_OpenCL.cl.h
[ 14%] Generating modelHandler_CUDA.ptx30
/usr/include/bits/floatn.h(74): error: invalid argument to attribute "__mode__"

/usr/include/bits/floatn.h(86): error: identifier "__float128" is undefined

/home/tuqueque/.cache/yay/waifu2x-converter-cpp/src/waifu2x-converter-cpp/src/modelHandler_CUDA.cu(480): error: identifier "__shfl_down_sync" is undefined

3 errors detected in the compilation of "/tmp/tmpxft_000030ea_00000000-7_modelHandler_CUDA.cpp1.ii".
make[2]: *** [CMakeFiles/gensrcs.dir/build.make:78: modelHandler_CUDA.ptx30] Error 2
make[1]: *** [CMakeFiles/Makefile2:147: CMakeFiles/gensrcs.dir/all] Error 2
make: *** [Makefile:141: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
Error making: waifu2x-converter-cpp

I don't know if it's somehow related with my version of CUDA intalled, I have 7.5 and I can't upgrade, 'cause my old nvidia card doesn't support newer versions.

Thank you in advance!

fuan_k commented on 2018-09-16 21:45

This gives a different output compared to waifu2x. The author of waifu2x said somewhere on its issue tracker that the waifu2x-converter-cpp uses outdated algorithms or something, which could explain why it's not as good as the original waifu2x.

Be wary of these waifu2x-converter packages, they are not as good as proper waifu2x!

nfnty commented on 2017-02-04 00:48

Issues and pull requests at https://github.com/nfnty/pkgbuilds